List cardholders
curl --request GET \
--url https://cc.nadcab.com/api/v1/cards/getCardholders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cc.nadcab.com/api/v1/cards/getCardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/cards/getCardholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/cards/getCardholders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": {
"total": 10,
"per_page": 20,
"current_page": 1,
"last_page": 1,
"data": [
{
"id": "1f076a4a-70ce-634c-96a8-0242ac110002",
"uid": 16,
"email": "46552391@gmail.com",
"status": "Active",
"first_name": "PPP",
"last_name": "OOO",
"nickname": "yiyi",
"created_at": "2025-08-11 19:16:39",
"updated_at": "2025-08-11 19:16:41",
"phone_country_code": "86",
"phone_number": "18696941121",
"remark": ""
},
{
"id": "1f076a3c-faad-6e9a-a460-0242ac110002",
"uid": 16,
"email": "46552386@gmail.com",
"status": "Pending",
"first_name": "PPPP",
"last_name": "OOO",
"nickname": "yiyi",
"created_at": "2025-08-11 17:20:12",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "86",
"phone_number": "18696941115",
"remark": ""
},
{
"id": "1f076a3c-faad-6e4a-8c80-0242ac110002",
"uid": 16,
"email": "46552385@gmail.com",
"status": "Pending",
"first_name": "PPPP",
"last_name": "OOO",
"nickname": "yiyi",
"created_at": "2025-08-11 16:40:06",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "86",
"phone_number": "18696941114",
"remark": ""
},
{
"id": "1f076a3c-faad-6dbe-abb5-0242ac110002",
"uid": 16,
"email": "46552384@gmail.com",
"status": "Pending",
"first_name": "PPPP",
"last_name": "OOO",
"nickname": "yiyi",
"created_at": "2025-08-11 16:39:01",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "86",
"phone_number": "18696941113",
"remark": ""
},
{
"id": "1f076a3c-faad-6f4e-8cca-0242ac110002",
"uid": 16,
"email": "46552383@gmail.com",
"status": "Active",
"first_name": "PPPP",
"last_name": "OOO",
"nickname": "yiyi",
"created_at": "2025-08-11 16:37:21",
"updated_at": "2025-08-11 11:11:43",
"phone_country_code": "86",
"phone_number": "18696941112",
"remark": ""
},
{
"id": "1f076a3c-faad-6ca6-84e1-0242ac110002",
"uid": 16,
"email": "46551@qq.com",
"status": "Pending",
"first_name": "ZHEN",
"last_name": "CHENQQ",
"nickname": "yiyi",
"created_at": "2025-08-08 12:00:42",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "86",
"phone_number": "18696943688",
"remark": ""
},
{
"id": "1f076a3c-faad-6bb6-b862-0242ac110002",
"uid": 16,
"email": "534534@gmail.com",
"status": "Pending",
"first_name": "TRRRT",
"last_name": "TYTYT",
"nickname": "yiyi",
"created_at": "2025-08-07 12:30:30",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "1",
"phone_number": "9419120246",
"remark": ""
},
{
"id": "1f076a3c-faad-6f12-b0e1-0242ac110002",
"uid": 16,
"email": "46552@qq.com",
"status": "Active",
"first_name": "OUIU",
"last_name": "UIUY",
"nickname": "yiyi",
"created_at": "2025-08-07 12:23:00",
"updated_at": "2025-08-11 11:11:39",
"phone_country_code": "86",
"phone_number": "18696943639",
"remark": ""
},
{
"id": "1f076a3c-faad-6ee0-a1ac-0242ac110002",
"uid": 16,
"email": "465523@qq.com",
"status": "Inactive",
"first_name": "YRTYRT",
"last_name": "RRR",
"nickname": "yiyi",
"created_at": "2025-08-07 12:21:57",
"updated_at": "2025-08-11 11:20:44",
"phone_country_code": "86",
"phone_number": "18696943633",
"remark": "Reason it was incorrect"
},
{
"id": "1f076a3c-faa6-6c9e-995c-0242ac110002",
"uid": 16,
"email": "46552@qq.com",
"status": "Pending",
"first_name": "CHEN",
"last_name": "MAMA",
"nickname": "yiyi",
"created_at": "2025-08-02 00:19:33",
"updated_at": "2025-08-11 11:11:47",
"phone_country_code": "86",
"phone_number": "18696943333",
"remark": ""
}
],
"has_more": false
}
}Cardholders
List cardholders
GET
/
cards
/
getCardholders
List cardholders
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Query Parameters
First name
Last name
Status. 'Active': activated, 'Pending': processing, 'Inactive': rejected
Search by cardholder ID
Example:
"20260424154429003719452086"
Business model
Page number
Page size